DRUMGIZMO(1)

NOM
drumgizmo - application de batterie

SYNOPSIS
drumgizmo [OPTIONS] fichier_de_kit_de_batterie

DESCRIPTION

DrumGizmo est un greffon ainsi qu'une application autonome de batterie multi-plateforme et à source ouverte. Il est comparable à plusieurs produits commerciaux de greffon de batterie.

DrumGizmo utilise un format de fichier de kit de batterie ouvert, permettant à la communauté de créer ses propres kits de batterie. Il possède une sortie multi-canaux, rendant possible de mixer exactement de même la manière que vous le feriez avec un kit de batterie réel. L'humaniseur optionnel inclu analyse les notes MIDI, en ajustant leurs vélocités à-la-volée. Ce client peut être utilisé comme un logiciel autonome effectuant un rendu MIDI, générant des fichiers .wav, 1 pour chaque canal. Ou bien, vous pouvez utilisez DrumGizmo comme un échantillonneur logiciel pour un kit de batterie électronique. Une version en greffon est également disponible.

OPTIONS
-a, --async_load
    Charger le kit en arrière-plan.
-i, --inputengine {dummy|test|jackmidi|midifile}
    Utilise le moteur d'entrée d'évènements indiqué.
-I, --inputparms liste_de_paramètres
    Attribue des paramètres au moteur d'entrée. jackmidi:
    midimap=<fichier_midimap> midifile:
    file=<fichier_midi>
    speed=<tempo> (1.0 par défaut)
    track=<piste_midi> (-1 par défaut, toutes les pistes)
    midimap=<fichier_midimap>
    loop=<true|false> test:
    p=<probabilité_de_coup> (0.1 par défaut)
    instr=<instrument> (-1 par défaut, instrument aléatoire)
    len=<secondes> (-1 par défaut, toujours) dummy:
-o, --outputengine {dummy|alsa|jackaudio|wavfile|oss}
    Utilise le moteur de sortie audio indiqué.
-O, --outputparms liste_de_paramètres
    Attribue des paramètres au moteur de sortie. alsa:
    dev=<périphérique> ('default' par défaut)
    frames=<trames> (32 par défaut)
    srate=<fréquence_d_échantillonnage> (44100 par défaut) wavfile:
    file=<nom_de_fichier> ('output' par défaut)
    srate=<fréquence_d_échantillonnage> (44100 par défaut) oss:
    dev=<périphérique> (/dev/dsp par défaut)
    srate=<fréquence_d_échantillonnage> (44100 par défaut)
    max_fragments=<fragments> (4 par défaut)
    fragment_size=<taille> (8 par défaut)
    Davantage d'informations sur max_fragments et fragment_size sur la page http://manuals.opensound.com/developer/SNDCTL_DSP_SETFRAGMENT.html (en anglais) jackaudio: dummy:
-e, --endpos
    Nombre d'échantillons à traiter, (-1 par défaut : infini)
-r, --no-resampling
    Désactiver le ré-échantillonnage
-s, --streaming
    Active le streaming du disque
-S, --strimingparms liste_de_paramètres
    Paramètres pour le contrôle des tampons de streaming.
    limit=<taille> (Limite à cette taille, la quantité de données du kit de batterie préchargées)
-v, --version
    Affiche la version de drumgizmo puis quitte.
-h, --help
    Affiche l'aide de commande terminal puis quitte.
fichier_de_kit_de_batterie
    Charge le fichier_de_kit_de_batterie.

EXEMPLES
Effectuer un rendu d'un fichier_midi vers des fichiers wav :
    drumgizmo -i fichier_midi -I file=fichier.mid,midimap=midimap.xml -o wavfile -O file=prefix drumkit.xml
Recevoir le MIDI depuis Jack et envoyer la sortie audio vers les haut-parleurs :
    drumgizmo -i jackmidi -I midimap=midimap.xml -o jackaudio drumkit.xml

BOGUES
Rapporter les bogues à http://www.drumgizmo.org/wiki/doku.php?id=bugs (en anglais).

INFORMATION ADDITIONELLE
Pour davantage d'informations, visitez le site internet http://www.drumgizmo.org.